APICompanies
Create company
Create a company. Linear customer is provisioned asynchronously once a domain is set. Requires the companies:write scope.
POST
/companiescurl -X POST "https://productlane.com/api/v2/companies" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "string"
}'Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Body
application/json
namestringrequiredlogo_urlstring<uri> | nulldomainsstring[]sizeintegerrevenueintegerexternal_idsstring[]Replaces the company's full external-id set. Use for cross-system identifiers (CRM ids, etc.).
status_idstring | nullLinear customer-status id. Fetch valid ids from
GET /companies/linear-options. Passnullto clear.tier_idstring | nullLinear customer-tier id. Fetch valid ids from
GET /companies/linear-options. Passnullto clear.owner_idstring | nullLinear user id of the owner. Fetch valid ids from
GET /companies/linear-options. Passnullto clear.
Response
application/json
Successful response
idstringrequirednamestringrequiredlogo_urlstring | nullrequireddomainsstring[]requiredsizenumber | nullrequiredrevenuenumber | nullrequiredstatus_idstring | nullrequiredstatus_namestring | nullrequiredtier_idstring | nullrequiredtier_namestring | nullrequiredownerobject | nullrequiredexternal_idsstring[]requiredCaller-owned cross-system identifiers (CRM ids, etc.). Replaced wholesale on create/update.
integration_idsobjectrequiredcreated_atstringrequiredupdated_atstringrequired
{
"id": "string",
"name": "string",
"logo_url": "string",
"domains": [
"string"
],
"size": 0,
"revenue": 0,
"status_id": "string",
"status_name": "string",
"tier_id": "string",
"tier_name": "string",
"owner": {
"id": "string",
"name": "string",
"avatar_url": "string"
},
"external_ids": [
"string"
],
"integration_ids": {
"intercom": "string",
"front": "string",
"zendesk": "string",
"hubspot": "string",
"plain": "string",
"productboard": "string",
"slack_channel": "string"
},
"created_at": "string",
"updated_at": "string"
}